/*
 * TASK DESCRIPTION:
 * This program is to parallellize a sequential program which finds
 * the approximate value of the integral of the function
 * dx/sqrt( 1-( cos(x)*cos(x) )/2 ) over the interval 0 to PI/2
 * Following is the sequential program
 */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
 
  main()
  {
   double deltax, pi = 3.141592654, integral, fleftx, frightx,
          rightx, f();
   int nintervals = 128, i;
 
   deltax = (0.5*pi)/(double)nintervals;
   integral = 0.0;
   fleftx = f(0.0);
   for (i=1; i<=nintervals; i++)
    {
     rightx = deltax * (double) i;
     frightx = f(rightx);
     integral += deltax * 0.5 *(fleftx + frightx);
     fleftx = frightx;
    }
   printf ("\n Integral = %f\n", integral);
   exit(0);
  }
 
  double f(double x)
  {
   double y;
 
   y = cos(x);
   return (1.0/sqrt(1.0 - 0.5*y*y));
  }

